micro_utils.dokka
0.15.1

# TransactionContext

class TransactionContext(val databaseContext: CoroutineContext) : CoroutineContext.Element

## Constructors

TransactionContext
Link copied to clipboard
fun TransactionContext(databaseContext: CoroutineContext)

## Types

Companion
Link copied to clipboard
object Companion : CoroutineContext.Key<TransactionContext>

## Functions

fold
Link copied to clipboard
open override fun <R> fold(initial: R, operation: (R, CoroutineContext.Element) -> R): R
get
Link copied to clipboard
open operator override fun <E : CoroutineContext.Element> get(key: CoroutineContext.Key<E>): E?
minusKey
Link copied to clipboard
open override fun minusKey(key: CoroutineContext.Key<*>): CoroutineContext
plus
Link copied to clipboard
open operator fun plus(context: CoroutineContext): CoroutineContext

## Properties

databaseContext
Link copied to clipboard
val databaseContext: CoroutineContext
key
Link copied to clipboard
open override val key: CoroutineContext.Key<TransactionContext>

## Extensions

LinkedSupervisorJob
Link copied to clipboard
fun CoroutineContext.LinkedSupervisorJob(additionalContext: CoroutineContext? = null): Job